NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Drawings::ViewWorkflowBuilder Class Reference

Represents a NXOpen::Drawings::ViewWorkflowBuilder
Created in NX9.0.0. More...

Inheritance diagram for NXOpen::Drawings::ViewWorkflowBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Display { DisplayDisplayandEmphasize, DisplayCurvesOnly }
 Represents the extracted edge face display option. More...
 
enum  Handlingbodies { HandlingbodiesOmitBodiesfromView, HandlingbodiesStopUpdateandNotifyUser, HandlingbodiesStopUpdate, HandlingbodiesGenerate }
 Represents option for handling bodies with no valid lightweight data
More...
 
enum  HandlingBodiesType { HandlingBodiesTypeOmitBodiesfromView, HandlingBodiesTypeStopUpdateandNotifyUser, HandlingBodiesTypeStopUpdate, HandlingBodiesTypeGenerate }
 Represents option for handling bodies with no valid lightweight data. More...
 
enum  Splarcs { SplarcsAlways, SplarcsNeverForAutomatic, SplarcsNever }
 Represents the setting for splarcs geometry projected as arc option. More...
 
enum  Style { StyleBorder, StyleWireframe, StyleHiddenWireframe, StyleShaded }
 Represents the preview stle option. More...
 

Public Member Functions

NXOpen::NXColorActiveSketchViewColor ()
 Returns the active views border color
Created in NX9.0.0. More...
 
bool AssociativeAlignment ()
 Returns the associative alignment enable alignement between views
Created in NX9.0.0. More...
 
NXOpen::NXColorBorderColor ()
 Returns the border color of view
Created in NX9.0.0. More...
 
bool CursorTracking ()
 Returns the cursor tracking enable XC/YC coordinates in dynamic input boxes when placing a view on a drawing
Created in NX9.0.0. More...
 
bool DisplayBorders ()
 Returns the display view borders on the the drawing
Created in NX9.0.0. More...
 
bool EnableSmoothEdgesForLWView ()
 Returns the setting is not needed anymore because the smooth edges are correctly supported now for smart lightweight views. More...
 
NXOpen::Drawings::ViewWorkflowBuilder::Display FaceDisplay ()
 Returns the face display provides options in an extracted edge view that are available for selection
Created in NX9.0.0. More...
 
NXOpen::Drawings::ViewWorkflowBuilder::Handlingbodies HandlingBodies ()
 Returns the handling bodies provides option for update view without lightweight data
More...
 
NXOpen::Drawings::ViewWorkflowBuilder::HandlingBodiesType HandlingBodiesTypes ()
 Returns the handling bodies provides option for update view without lightweight data
Created in NX9.0.3. More...
 
int LargeAssemblyStepThreshold ()
 Returns the large assembly step threshold option establishes the minimum number of components (loaded or unloaded) a part may have to be considered a large assembly. More...
 
bool LoadComponentsOnDemand ()
 Returns whether or not to load the components on demand for smart lightweight views
Created in NX11.0.0. More...
 
bool OnLegacyViewUpdate ()
 Returns the on legacy view update determines whether or not components should be loaded as needed to update lightweight views
Created in NX9.0.0. More...
 
bool OnViewSelection ()
 Returns the on view selection determines whether or not components should be loaded as needed for selection in lightweight views for accurate dimensioning
Created in NX9.0.0. More...
 
NXOpen::Drawings::ViewWorkflowBuilder::Style PreviewStyle ()
 Returns the style of the preview when adding a view to the drawing
Created in NX9.0.0. More...
 
NXOpen::Drawings::ViewWorkflowBuilder::Splarcs SelectGeometryProjectedAsArcs ()
 Returns the Select Geometry Projected as Arcs provides options for selection of SPLARCs entity for centerlines and Annotations
Created in NX11.0.0. More...
 
void SetActiveSketchViewColor (NXOpen::NXColor *activeSketchViewColor)
 Sets the active views border color
Created in NX9.0.0. More...
 
void SetAssociativeAlignment (bool associativeAlignment)
 Sets the associative alignment enable alignement between views
Created in NX9.0.0. More...
 
void SetBorderColor (NXOpen::NXColor *borderColor)
 Sets the border color of view
Created in NX9.0.0. More...
 
void SetCursorTracking (bool cursorTracking)
 Sets the cursor tracking enable XC/YC coordinates in dynamic input boxes when placing a view on a drawing
Created in NX9.0.0. More...
 
void SetDisplayBorders (bool displayBorders)
 Sets the display view borders on the the drawing
Created in NX9.0.0. More...
 
void SetEnableSmoothEdgesForLWView (bool enableSmoothEdgesForLWView)
 Sets the setting is not needed anymore because the smooth edges are correctly supported now for smart lightweight views. More...
 
void SetFaceDisplay (NXOpen::Drawings::ViewWorkflowBuilder::Display faceDisplay)
 Sets the face display provides options in an extracted edge view that are available for selection
Created in NX9.0.0. More...
 
void SetHandlingBodies (NXOpen::Drawings::ViewWorkflowBuilder::Handlingbodies handlingBodies)
 Sets the handling bodies provides option for update view without lightweight data
More...
 
void SetHandlingBodiesTypes (NXOpen::Drawings::ViewWorkflowBuilder::HandlingBodiesType handlingBodiesTypes)
 Sets the handling bodies provides option for update view without lightweight data
Created in NX9.0.3. More...
 
void SetLargeAssemblyStepThreshold (int largeAssemblyStepThreshold)
 Sets the large assembly step threshold option establishes the minimum number of components (loaded or unloaded) a part may have to be considered a large assembly. More...
 
void SetLoadComponentsOnDemand (bool loadComponentsOnDemand)
 Sets whether or not to load the components on demand for smart lightweight views
Created in NX11.0.0. More...
 
void SetOnLegacyViewUpdate (bool onLegacyViewUpdate)
 Sets the on legacy view update determines whether or not components should be loaded as needed to update lightweight views
Created in NX9.0.0. More...
 
void SetOnViewSelection (bool onViewSelection)
 Sets the on view selection determines whether or not components should be loaded as needed for selection in lightweight views for accurate dimensioning
Created in NX9.0.0. More...
 
void SetPreviewStyle (NXOpen::Drawings::ViewWorkflowBuilder::Style previewStyle)
 Sets the style of the preview when adding a view to the drawing
Created in NX9.0.0. More...
 
void SetSelectGeometryProjectedAsArcs (NXOpen::Drawings::ViewWorkflowBuilder::Splarcs selectGeometryProjectedAsArcs)
 Sets the Select Geometry Projected as Arcs provides options for selection of SPLARCs entity for centerlines and Annotations
Created in NX11.0.0. More...
 
void SetShowFacetEdges (bool showFacetEdges)
 Sets the show facet edges determines whether or not facet edges will be shown on shaded faces when displaying a drawing sheet
Created in NX9.0.0. More...
 
void SetUseLineAntialiasing (bool useLineAntialiasing)
 Sets the use line antialiasing
Created in NX9.0.0. More...
 
void SetUseTranslucency (bool useTranslucency)
 Sets the use translucency determines translucency settings for faces when displaying a drawing sheet
Created in NX9.0.0. More...
 
bool ShowFacetEdges ()
 Returns the show facet edges determines whether or not facet edges will be shown on shaded faces when displaying a drawing sheet
Created in NX9.0.0. More...
 
bool UseLineAntialiasing ()
 Returns the use line antialiasing
Created in NX9.0.0. More...
 
bool UseTranslucency ()
 Returns the use translucency determines translucency settings for faces when displaying a drawing sheet
Created in NX9.0.0. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Drawings::ViewWorkflowBuilder
Created in NX9.0.0.


Member Enumeration Documentation

Represents the extracted edge face display option.

Enumerator
DisplayDisplayandEmphasize 

displayand emphasize

DisplayCurvesOnly 

curves only

Represents option for handling bodies with no valid lightweight data

Deprecated:
Deprecated in NX9.0.3.

Use NXOpen::Drawings::ViewWorkflowBuilder::HandlingBodiesType instead.

Enumerator
HandlingbodiesOmitBodiesfromView 

omit bodiesfrom view

HandlingbodiesStopUpdateandNotifyUser 

stop updateand notify user

HandlingbodiesStopUpdate 

stop update

HandlingbodiesGenerate 

generate

Represents option for handling bodies with no valid lightweight data.

Enumerator
HandlingBodiesTypeOmitBodiesfromView 

omit bodiesfrom view

HandlingBodiesTypeStopUpdateandNotifyUser 

stop updateand notify user

HandlingBodiesTypeStopUpdate 

stop update

HandlingBodiesTypeGenerate 

generate

Represents the setting for splarcs geometry projected as arc option.

Enumerator
SplarcsAlways 

always

SplarcsNeverForAutomatic 

never for automatic

SplarcsNever 

never

Represents the preview stle option.

Enumerator
StyleBorder 

border

StyleWireframe 

wireframe

StyleHiddenWireframe 

hidden wireframe

StyleShaded 

shaded

Member Function Documentation

NXOpen::NXColor* NXOpen::Drawings::ViewWorkflowBuilder::ActiveSketchViewColor ( )

Returns the active views border color
Created in NX9.0.0.



License requirements : None

bool NXOpen::Drawings::ViewWorkflowBuilder::AssociativeAlignment ( )

Returns the associative alignment enable alignement between views
Created in NX9.0.0.



License requirements : None

NXOpen::NXColor* NXOpen::Drawings::ViewWorkflowBuilder::BorderColor ( )

Returns the border color of view
Created in NX9.0.0.



License requirements : None

bool NXOpen::Drawings::ViewWorkflowBuilder::CursorTracking ( )

Returns the cursor tracking enable XC/YC coordinates in dynamic input boxes when placing a view on a drawing
Created in NX9.0.0.



License requirements : None

bool NXOpen::Drawings::ViewWorkflowBuilder::DisplayBorders ( )

Returns the display view borders on the the drawing
Created in NX9.0.0.



License requirements : None

bool NXOpen::Drawings::ViewWorkflowBuilder::EnableSmoothEdgesForLWView ( )

Returns the setting is not needed anymore because the smooth edges are correctly supported now for smart lightweight views.

We recommend removing this call from existing programs.

Deprecated:
Deprecated in NX11.0.0. Replacement is not needed. We recommend removing this call from existing programs.


Created in NX9.0.0.

License requirements : None

NXOpen::Drawings::ViewWorkflowBuilder::Display NXOpen::Drawings::ViewWorkflowBuilder::FaceDisplay ( )

Returns the face display provides options in an extracted edge view that are available for selection
Created in NX9.0.0.



License requirements : None

NXOpen::Drawings::ViewWorkflowBuilder::Handlingbodies NXOpen::Drawings::ViewWorkflowBuilder::HandlingBodies ( )

Returns the handling bodies provides option for update view without lightweight data

Deprecated:
Deprecated in NX9.0.3.

Use NXOpen::Drawings::ViewWorkflowBuilder::HandlingBodiesTypes instead.


Created in NX9.0.0.

License requirements : None

NXOpen::Drawings::ViewWorkflowBuilder::HandlingBodiesType NXOpen::Drawings::ViewWorkflowBuilder::HandlingBodiesTypes ( )

Returns the handling bodies provides option for update view without lightweight data
Created in NX9.0.3.



License requirements : None

int NXOpen::Drawings::ViewWorkflowBuilder::LargeAssemblyStepThreshold ( )

Returns the large assembly step threshold option establishes the minimum number of components (loaded or unloaded) a part may have to be considered a large assembly.

When the number of components exceeds this number, the View Creation Wizard provides an extra step to optimize part settings for large assemblies. A value of zero will force the system to always use the optimized part settings for large assemblies
Created in NX9.0.0.

License requirements : None

bool NXOpen::Drawings::ViewWorkflowBuilder::LoadComponentsOnDemand ( )

Returns whether or not to load the components on demand for smart lightweight views
Created in NX11.0.0.



License requirements : None

bool NXOpen::Drawings::ViewWorkflowBuilder::OnLegacyViewUpdate ( )

Returns the on legacy view update determines whether or not components should be loaded as needed to update lightweight views
Created in NX9.0.0.



License requirements : None

bool NXOpen::Drawings::ViewWorkflowBuilder::OnViewSelection ( )

Returns the on view selection determines whether or not components should be loaded as needed for selection in lightweight views for accurate dimensioning
Created in NX9.0.0.



License requirements : None

NXOpen::Drawings::ViewWorkflowBuilder::Style NXOpen::Drawings::ViewWorkflowBuilder::PreviewStyle ( )

Returns the style of the preview when adding a view to the drawing
Created in NX9.0.0.



License requirements : None

NXOpen::Drawings::ViewWorkflowBuilder::Splarcs NXOpen::Drawings::ViewWorkflowBuilder::SelectGeometryProjectedAsArcs ( )

Returns the Select Geometry Projected as Arcs provides options for selection of SPLARCs entity for centerlines and Annotations
Created in NX11.0.0.



License requirements : None

void NXOpen::Drawings::ViewWorkflowBuilder::SetActiveSketchViewColor ( NXOpen::NXColor activeSketchViewColor)

Sets the active views border color
Created in NX9.0.0.



License requirements : drafting ("DRAFTING")

Parameters
activeSketchViewColoractivesketchviewcolor
void NXOpen::Drawings::ViewWorkflowBuilder::SetAssociativeAlignment ( bool  associativeAlignment)

Sets the associative alignment enable alignement between views
Created in NX9.0.0.



License requirements : drafting ("DRAFTING")

Parameters
associativeAlignmentassociativealignment
void NXOpen::Drawings::ViewWorkflowBuilder::SetBorderColor ( NXOpen::NXColor borderColor)

Sets the border color of view
Created in NX9.0.0.



License requirements : drafting ("DRAFTING")

Parameters
borderColorbordercolor
void NXOpen::Drawings::ViewWorkflowBuilder::SetCursorTracking ( bool  cursorTracking)

Sets the cursor tracking enable XC/YC coordinates in dynamic input boxes when placing a view on a drawing
Created in NX9.0.0.



License requirements : drafting ("DRAFTING")

Parameters
cursorTrackingcursortracking
void NXOpen::Drawings::ViewWorkflowBuilder::SetDisplayBorders ( bool  displayBorders)

Sets the display view borders on the the drawing
Created in NX9.0.0.



License requirements : drafting ("DRAFTING")

Parameters
displayBordersdisplayborders
void NXOpen::Drawings::ViewWorkflowBuilder::SetEnableSmoothEdgesForLWView ( bool  enableSmoothEdgesForLWView)

Sets the setting is not needed anymore because the smooth edges are correctly supported now for smart lightweight views.

We recommend removing this call from existing programs.

Deprecated:
Deprecated in NX11.0.0. Replacement is not needed. We recommend removing this call from existing programs.


Created in NX9.0.0.

License requirements : drafting ("DRAFTING")

Parameters
enableSmoothEdgesForLWViewenablesmoothedgesforlwview
void NXOpen::Drawings::ViewWorkflowBuilder::SetFaceDisplay ( NXOpen::Drawings::ViewWorkflowBuilder::Display  faceDisplay)

Sets the face display provides options in an extracted edge view that are available for selection
Created in NX9.0.0.



License requirements : drafting ("DRAFTING")

Parameters
faceDisplayfacedisplay
void NXOpen::Drawings::ViewWorkflowBuilder::SetHandlingBodies ( NXOpen::Drawings::ViewWorkflowBuilder::Handlingbodies  handlingBodies)

Sets the handling bodies provides option for update view without lightweight data

Deprecated:
Deprecated in NX9.0.3.

Use NXOpen::Drawings::ViewWorkflowBuilder::SetHandlingBodiesTypes instead.


Created in NX9.0.0.

License requirements : drafting ("DRAFTING")

Parameters
handlingBodieshandlingbodies
void NXOpen::Drawings::ViewWorkflowBuilder::SetHandlingBodiesTypes ( NXOpen::Drawings::ViewWorkflowBuilder::HandlingBodiesType  handlingBodiesTypes)

Sets the handling bodies provides option for update view without lightweight data
Created in NX9.0.3.



License requirements : None

Parameters
handlingBodiesTypeshandlingbodiestypes
void NXOpen::Drawings::ViewWorkflowBuilder::SetLargeAssemblyStepThreshold ( int  largeAssemblyStepThreshold)

Sets the large assembly step threshold option establishes the minimum number of components (loaded or unloaded) a part may have to be considered a large assembly.

When the number of components exceeds this number, the View Creation Wizard provides an extra step to optimize part settings for large assemblies. A value of zero will force the system to always use the optimized part settings for large assemblies
Created in NX9.0.0.

License requirements : drafting ("DRAFTING")

Parameters
largeAssemblyStepThresholdlargeassemblystepthreshold
void NXOpen::Drawings::ViewWorkflowBuilder::SetLoadComponentsOnDemand ( bool  loadComponentsOnDemand)

Sets whether or not to load the components on demand for smart lightweight views
Created in NX11.0.0.



License requirements : drafting ("DRAFTING")

Parameters
loadComponentsOnDemandloadcomponentsondemand
void NXOpen::Drawings::ViewWorkflowBuilder::SetOnLegacyViewUpdate ( bool  onLegacyViewUpdate)

Sets the on legacy view update determines whether or not components should be loaded as needed to update lightweight views
Created in NX9.0.0.



License requirements : drafting ("DRAFTING")

Parameters
onLegacyViewUpdateonlegacyviewupdate
void NXOpen::Drawings::ViewWorkflowBuilder::SetOnViewSelection ( bool  onViewSelection)

Sets the on view selection determines whether or not components should be loaded as needed for selection in lightweight views for accurate dimensioning
Created in NX9.0.0.



License requirements : drafting ("DRAFTING")

Parameters
onViewSelectiononviewselection
void NXOpen::Drawings::ViewWorkflowBuilder::SetPreviewStyle ( NXOpen::Drawings::ViewWorkflowBuilder::Style  previewStyle)

Sets the style of the preview when adding a view to the drawing
Created in NX9.0.0.



License requirements : drafting ("DRAFTING")

Parameters
previewStylepreviewstyle
void NXOpen::Drawings::ViewWorkflowBuilder::SetSelectGeometryProjectedAsArcs ( NXOpen::Drawings::ViewWorkflowBuilder::Splarcs  selectGeometryProjectedAsArcs)

Sets the Select Geometry Projected as Arcs provides options for selection of SPLARCs entity for centerlines and Annotations
Created in NX11.0.0.



License requirements : None

Parameters
selectGeometryProjectedAsArcsselectgeometryprojectedasarcs
void NXOpen::Drawings::ViewWorkflowBuilder::SetShowFacetEdges ( bool  showFacetEdges)

Sets the show facet edges determines whether or not facet edges will be shown on shaded faces when displaying a drawing sheet
Created in NX9.0.0.



License requirements : drafting ("DRAFTING")

Parameters
showFacetEdgesshowfacetedges
void NXOpen::Drawings::ViewWorkflowBuilder::SetUseLineAntialiasing ( bool  useLineAntialiasing)

Sets the use line antialiasing
Created in NX9.0.0.



License requirements : drafting ("DRAFTING")

Parameters
useLineAntialiasinguselineantialiasing
void NXOpen::Drawings::ViewWorkflowBuilder::SetUseTranslucency ( bool  useTranslucency)

Sets the use translucency determines translucency settings for faces when displaying a drawing sheet
Created in NX9.0.0.



License requirements : drafting ("DRAFTING")

Parameters
useTranslucencyusetranslucency
bool NXOpen::Drawings::ViewWorkflowBuilder::ShowFacetEdges ( )

Returns the show facet edges determines whether or not facet edges will be shown on shaded faces when displaying a drawing sheet
Created in NX9.0.0.



License requirements : None

bool NXOpen::Drawings::ViewWorkflowBuilder::UseLineAntialiasing ( )

Returns the use line antialiasing
Created in NX9.0.0.



License requirements : None

bool NXOpen::Drawings::ViewWorkflowBuilder::UseTranslucency ( )

Returns the use translucency determines translucency settings for faces when displaying a drawing sheet
Created in NX9.0.0.



License requirements : None

virtual bool NXOpen::Drawings::ViewWorkflowBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.